PHP is a general-purpose scripting language that is especially suited for Web development. The online manual is an excellent resource for the language syntax and has an extensive list of the built-in and extension functions. Most extensions can be found in PECL.

learn more… | top users | synonyms

0
votes
2answers
3k views

Upgrade PHP to 5.3 in Ubuntu Server 8.04 with Plesk 9.5 [closed]

I have a dedicated server with Ubuntu 8.04, and really need to upgrade php to 5.3 version in order to deploy a new version of the system. This version of php is the default one in ubuntu 10.04, so I ...
0
votes
1answer
378 views

Installing my mysql adapter properly

I am running on ubuntu 10.04. Can someone tell me how to isntall: PHP5 MySQL with support for PDO All tutorials I've found are a bit old.
0
votes
2answers
443 views

php mail() from localhost

I have installed both postfix and mailx, I also tried sendmail. I'm trying to send e-mail from a PHP script using a crontab. The crontab and PHP run fine but the mail won't send I get the following ...
0
votes
3answers
2k views

apache localhost serving index.html but not serving .php files

When i type http://localhost/phpinfo.php into the browser the php is not executed. Instead a file download box opens and asks, "Do you want to open or save this file?" This is happening on all ...
0
votes
3answers
4k views

Upgrade php 5.2 to php 5.3 on debian etch

I have a vps server that is in production currently. I need to upgrade my current php 5.2 to php 5.3. I have found the repositories here http://www.dotdeb.org My question is how do I upgrade, ...
0
votes
2answers
892 views

Can mod-rewrite be used to set environmental variables?

I've got an existing simple rewrite rule like so: <Directory /path> RewriteEngine on RewriteBase / # if the requested resource does not exist RewriteCond %{REQUEST_FILENAME} ...
0
votes
2answers
3k views

sqlite3 support on centos with PECL?

i just realized that the rpm version of php that i have installed on the server don't have sqlite support (well it have the PDO support but for some reason don't work) so i installed as a PECL ...
0
votes
1answer
282 views

sphinx.so not loaded in ubuntu 8.04

I've installed the sphinx extensions via pecl on ubuntu 8.04 however, after restarting apache, my php program says that SphinxClient hasn't been found I looked at phpinfo() output and its not there. ...
2
votes
2answers
3k views

Enabling Sqlite3 for php on fedora

I am trying to get php with sqlite working on my fedora server. In the phpinfo is see that ./configure was set with the option --without-sqlite3. From what I have read these means that I might have to ...
1
vote
1answer
2k views

PHP Safe Mode/open_basedir - lstat performance problem

PHP lstat the full path many times before read the file is looking for. And this happens when in apache httpd configuration is specified PHP_ADMIN_VALUE open_basedir setting or if safe_mode is ON. If ...
0
votes
1answer
176 views

PHP5 module makes Apache 1.3 segfault

I am trying to get PHP4 and 5 to work with Apache 1.3. PHP4 is compiled as a module and currently works fine, although Apache does display the following warning upon starting: Loaded DSO libphp4.so ...
1
vote
1answer
310 views

Ubuntu 10.04 breaks php5-ffmpeg and zend server

I would like to upgrade to 10.04, but there are a couple of packages that I use daily that Ubuntu says it will remove. They are : php5-ffmpeg, zend server 5.0.2 There are many others in the list, ...
0
votes
2answers
2k views

PHP not debugging/showing error messages

I've just installed lighttpd, and I'm not seeing any error messages on pages when I know errors must have occurred. All I get is a blank page. However, I do get the errors in the error log file - but ...
3
votes
3answers
307 views

Apache serves incorrect page

To preface: this has got to be one of the strangest bugs I have ever seen, especially since it comes and goes. There exists a page called view.php and another page called save.php. The bug manifests ...
2
votes
1answer
694 views

XCache loses performance gain after a day or so

I'm having some performance problems with XCache and PHP5 running on a Ubuntu 8.04 server. A few Zend Framework applications peak at about 12MB of memory. General response time before Apache 2 can ...
1
vote
1answer
352 views

Anti-bot techniques

I want to do some research on anti-bot techniques for my web application. I am aware of Captcha, but want to explore some other techniques. Especially, I want users to visit all the pages before they ...
23
votes
4answers
36k views

PHP exit status 255: what does it mean?

I recently compiled a PHP 5.2.9 binary, and I tried to execute some PHP scripts with it. I can execute some scripts without problems, but one of them halts its execution midway, exiting with no errors ...
1
vote
1answer
320 views

PHP not loading php.ini in directory or following error_reporting() on Windows 7

Normally I develop under E_ALL error level, but for sanity on this project I want notices and strict off. So initially tried: error_reporting(E_ALL & ~(E_STRICT|E_NOTICE)); And several other ...
0
votes
1answer
315 views

php 5.3.2 with apache 2.2

just installed php 5.3.2 with apache 2.2. I am not able to restart apache because apache is not able to load the php5 module. The dll file php5apache2_2.dll exists, the path is correct in the conf ...
1
vote
1answer
10k views

Can't find Role Services in Windows 7

I'm trying to install PHP on Windows 7 Home Premium using these instructions: Using FastCGI to Host PHP Applications on IIS 7 and a 1/3 of the way down on the page I have to do this: Server ...
0
votes
2answers
1k views

imagecreatefromjpeg() stops working after server upgrade

We have a server located at a local company's place of business running Solaris/Apache/PHP. They recently did an update to Solaris, Apache, and PHP (security update patches, etc.). Unfortunately it ...
1
vote
2answers
7k views

Windows7 IIS7: zips don't have php5isapi.dll Can I use php.dll instead?

The page: How to Install PHP 5.2 on IIS 7and Windows Vista (and a few others) reference a mysterious php5isapi.dll which is not in the Windows install, or the zip files: php-5.3.2-Win32-VC9-x86.zip - ...
0
votes
1answer
2k views

Missing libcurl.so.3 on updating tp PHP 5.2.13

I am trying to update my PHP to 5.2.13 however when I tried running yum update, it gives me this dependency error. php-5.2.13-jason.1.i386 from utterramblings has depsolving problems --> Missing ...
0
votes
1answer
2k views

sqlite : Fatal error: Call to undefined function sqlite_escape_string()

I use a script that requires SQLITE, On my previous host, it worked. On localhost it works. On my new dedicaced server, it doesn't. I use PHP5 of course, you can access phpinfo() of the server. ...
0
votes
1answer
2k views

How can I enable PHP5 for a site? Having problems with every single method

I'm working on a client site that is hosted on someone's DIY Debian Linux server [Apache/1.3.33 (Debian GNU/Linux)], and I'm trying to install a script that requires PHP5. By default, the server ...
0
votes
2answers
4k views

Where is the php.ini file in Ubuntu hardy?

Where is the php.ini file in Ubuntu hardy? The file found in path called /etc/php5/apache2/php.ini.ucf-dist. Do I need to rename file 'php.ini.ucf-dist' to 'php.ini'? Where is the system currently ...
3
votes
3answers
7k views

apache not displaying php pages, offering them for download instead

we are trying to setup apache (apache 2 in this case, although apache does the same thing) and html pages display just fine, however, any php pages linked into buttons on the front page are offered ...
0
votes
4answers
467 views

Apache+PHP problem: Cannot list processes other than apache's

I have a quite fresh install of the Apache (2.2.3/Centos) + PHP(5.1.6) and following problem: I need to monitor life of one process and in order to do that I run: $last_line = exec('ps -C snmpd'); ...
1
vote
1answer
7k views

How do I install php 5.2.10 on Ubuntu 10.04? [duplicate]

Possible Duplicate: PHP 5.2x on Ubuntu 10.04 Lucid Lynx I'm setting up a new Ubuntu server, but it's going to be running a somewhat old PHP application that seems to have conflicts with PHP ...
0
votes
2answers
76 views

How do you setup a custom FastCGI and PHP5 on a shared host (to use APC)?

Im not sure if I have this setup right or not =/
1
vote
1answer
257 views

open_basedir vs sessions

On a virtual hosting server I have the open_basedir set to .:/path/to/vhost/web:/tmp:/usr/share/pear for each virtual host. I have a client who's running WordPress and he's complaining about ...
2
votes
2answers
502 views

Why do I get a PHP 5.2.6 segmentation fault when using PDO_SQlite?

This is an installation on ModWest's shared hosting. I have enabled both PDO and PDO_sqlite on the server and phpinfo() verifies both are running. When I access PDO itself, I'm fine, and getting a ...
1
vote
4answers
393 views

PHP scripts owned by www-data

I use to have owned php scripts on a dedicated server by user "webroot". It would be easier for coding and administration if the scripts were owned by the apache2 user, "www-data" on my system. Also ...
0
votes
2answers
2k views

Uninstall php5 installed from source

I have tried to install php5 from source , and it worked... Then for some reason need to install the official packets, so i tried a make uninstall and for my surprise there is such make uninstall... ...
3
votes
2answers
2k views

Apache + PHP in paths with accented letters

I'm not able to run a PHP enabled web site under Apache on Windows XP if the path to DOCUMENT_ROOT contains accented letters. I'm not referring to the script file names themselves but to any folder in ...
0
votes
1answer
405 views

Is there a way to disable safe_mode in a client or domain template in Plesk? [closed]

Is there a way to disable the PHP setting safe_mode in a client or domain template in Plesk 8.6? Or, to disable it for new domain creation in some other Plesk setting/configuration? I've Googled, ...
0
votes
2answers
3k views

Update php 5.2.0 to 5.2.4 with aptitude

I would like to update my php 5 in my server. At this moment, I use php 5.2.0 so I want to update it to php 5.2.4 (not php 5.3). I tried to do this: aptitude update aptitude upgrade 63 packets were ...
1
vote
2answers
3k views

PHP cannot connect to MySQL

I recently installed Apache 2 + PHP 5.3.1 + MySQL 5.1.44 on my Windows 7 64bit machine following this guide: http://sleeplessgeek.blogspot.com/2010/01/setting-up-apache-php-mysql-phpmyadmin.html ...
3
votes
3answers
3k views

Apache: How can I serve JavaScript via PHP?

I want to serve my JavaScript files via a PHP script. An example would be: If I were to request a JavaScript file called dir/my_file.js The server should redirect the request to a handler script ...
1
vote
1answer
384 views

PHP throwing XDebug errors ONLY in command line mode

I've been having a few problems running PHP-based utilities within the command line ever since I enabled the XDebug. It runs just fine when executing script through a browser, but once I try an ...
3
votes
4answers
5k views

Can I run PHP 5.3 and PHP 5.2 on the same server with Apache?

I just curious if there's a way I can set up my development box so that I can have some sites running PHP 5.3 and some with PHP 5.2, and that I can switch between them fairly painlessly.
1
vote
3answers
2k views

Downgrading PHP from 5.3 version to 5.2.x on Ubuntu

I'm looking some some way to downgrade php from 5.3 version to 5.2.x on Ubuntu 9.10
0
votes
1answer
291 views

Ubuntu installing (recompiling) php modules

According to PHP documentation, if you want to add something to php, you need to rerun configure, make and make install. In my case, I see no errors while doing this, but changes are not shown with ...
1
vote
1answer
1k views

Lighttpd wont restart due to an fastcgi.server error

Here is what comes up when I try to restart lighttpd user:/# /etc/init.d/lighttpd restart Stopping web server: lighttpd. Starting web server: lighttpdDuplicate config variable in conditional 0 ...
4
votes
5answers
11k views

Upgrade Centos 5 tot PHP 5.2 or 5.3 [recommended way?]

We are using Zend Framework and in version 2, php 5.2 will be the minimum requirement. We love CentOS and we'd like to keep using it, but PHP 5.1 just won't do anymore when developing web applications ...
0
votes
1answer
347 views

PHP FastCGI/XML/DOM Configure

Guys, any ideas why when I configure PHP 5.3.1, these options fail? Notice: Following unknown configure options were used: --with-xml --with-dom --enable-fastcgi --enable-discard-path ...
0
votes
1answer
211 views

Duplicate PHP installations

Started with 5.2.6 installed, then proceeded to install 5.3.1, but instead of overwriting, SSH php is now running 5.3.1, whereas the web server still servers content with the 5.2.6 installation. Any ...
5
votes
6answers
2k views

smallest possible linux installation with apache

I want to setup a linux vm with apache and php and mysql support, which version of linux should I pick up. I dont have a good bandwidth, preferably a smaller ISO of the installer is also appreciated.
0
votes
1answer
2k views

FCGIWrapper not picking up php.ini file path

I'm using Fast CGI with PHP, and it runs great except I just noticed it's not picking up the php ini path. It seems not to pick up the -c argument at all and says no configuration file is loaded when ...
1
vote
1answer
4k views

How do I get the latest FastCGI and PHP versions to peacefully coexist on IIS 6?

I have been going round and round trying to get any sort of PHP running on IIS 6. I somehow managed to successfully get version 5.1.4 running using the php5isapi.dll file. However, I want to upgrade ...